pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/42373: misc/rpm would not build on Solaris 8: __db185_open

On Mon, Dec 07, 2009 at 04:00:07PM +0000, Mikhail T. wrote:
 >>  If you want to check interoperability, please build rpm from pkgsrc
 >>  with the same Berkeley DB version that the native rpm is using.
 >>  Otherwise it will probably fail to open the database and you might or
 >>  might not get comprehensible error messages out.
 >  I did test that -- and the result was negative... As I reported earlier
 >  in this PR, the pkgsrc-built rpm couldn't understand the data of the
 >  native rpm on the same machine running Red Hat Enterprise 5.4 (amd64 aka
 >  x86_64).

Which Berkeley DB version(s) were the native and pkgsrc rpm binaries
built with?

David A. Holland

Home | Main Index | Thread Index | Old Index